# Class BooleanMutable

java.lang.Object
org.snpeff.stats.BooleanMutable

public class BooleanMutable extends Object
A mutable boolean

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`value`

## Constructor Summary

Constructors
Constructor
Description
`BooleanMutable()`
`BooleanMutable(boolean value)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`is()`
`void`
`set(boolean value)`
`void`
`setFalse()`
`void`
`setTrue()`
`void`
`toggle()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### value

public boolean value

## Constructor Details

### BooleanMutable

public BooleanMutable()

### BooleanMutable

public BooleanMutable(boolean value)

## Method Details

### is

public boolean is()

### set

public void set(boolean value)

### setFalse

public void setFalse()

### setTrue

public void setTrue()

### toggle

public void toggle()